Subject: Mushroom ID in Marin

From: [email-masked] (Bob Galvan)
Date: 14 Jan 1995 12:06:17 -0800

Greetings,   I am a budding mushroom hunter in Marin county, California.
I am hoping to find some people who live nearby and can help me get 
started with places to go, species to look for, and identification.  I do 
have some background in botany and know the county fairly well.  I am 
aware of Amanitas, Boletes, Chantrelles, Morelles, and have one good book,
Demystifying Mushrooms.

It has been raining nonstop for weeks here in Marin and the shrooms are 
poppin up everywhere!

Bob Galvan
[email-masked]
415-924-5384